jQuery(document).ready(function($){
	var dialog = $("#wpfa_dialog_wrap");

    $("#wpf_attach_button").click(function(e){
        $("#wpfa_dialog_items").html('<i style="margin-top: 25%; font-size: 5em;" class="fas fa-spinner fa-spin fa-5x"></i>');
        e.preventDefault();
        e.stopPropagation();
    	$.ajax({
    		url: wpf_front_ajax_obj.url,
    		data: {
                action: 'wpforoattach_file_upload_hook'
            }
    	}).done(function(response){
            $("#wpfa_dialog_items").html(response);
        });
		dialog.fadeIn( 400, "linear" );
	});


    $(document).on("click", "#wpfa_dialog_close", function () {
        if( dialog.is(':visible') ){
            dialog.fadeOut( 50, "linear" );
        }
    });

    $(document).on("keydown", dialog, function (e) {
        if( dialog.is(':visible') ) {
            var keycode = e.which;
            if (keycode === 27) dialog.fadeOut(50, "linear");
        }
    });

    /// tools ///
    dialog.on("click", ".wpfa-close-error", function(){
        var error_row = jQuery(this).parents('.wpfa-file-not-allow');
        error_row.fadeOut(200,function() {
            error_row.remove();
        });
    });

    jQuery('#wpf_attach_do').click(function($){
        var load = jQuery('#wpforo-load');
        load.visible();
        var attachids = '';
        var shortcode = '';
        var rows = jQuery("#wpfa_dialog_items").find("div[class*='wpfa-template-download']");
        jQuery.each(rows, function( index, row ) {
            if( jQuery(row).find('.wpfa-item-col-checkbox input[type="checkbox"][name="delete"]').is(':checked') ){
                var attachid = jQuery(row).find(".wpfa-item-col-id label").text();
                attachids += jQuery.trim(attachid) + ",";
            }
        });
        attachids = jQuery.trim( attachids.slice(0,-1) );
        if(attachids !== ''){
            shortcode = '[attach]'+ attachids +'[/attach]';
            tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
            dialog.fadeOut( 50, "linear" );
        }else{
            wpforo_notice_show( 'Please select a file(s) using right checkbox(es) to insert in post' );
        }
        load.invisible();
    });

});

function basename(path, suffix) {

  var b = path;
  var lastChar = b.charAt(b.length - 1);

  if (lastChar === '/' || lastChar === '\\') {
    b = b.slice(0, -1);
  }

  b = b.replace(/^.*[\/\\]/g, '');

  if (typeof suffix === 'string' && b.substr(b.length - suffix.length) === suffix) {
    b = b.substr(0, b.length - suffix.length);
  }

  return b;
}

function pathinfo(path, options) {

  var opt = '',
    optName = '',
    optTemp = 0,
    tmp_arr = {},
    cnt = 0,
    i = 0;
  var have_basename = false,
    have_extension = false,
    have_filename = false;

  // Input defaulting & sanitation
  if (!path) {
    return false;
  }
  if (!options) {
    options = 'PATHINFO_ALL';
  }

  // Initialize binary arguments. Both the string & integer (constant) input is
  // allowed
  var OPTS = {
    'PATHINFO_DIRNAME': 1,
    'PATHINFO_BASENAME': 2,
    'PATHINFO_EXTENSION': 4,
    'PATHINFO_FILENAME': 8,
    'PATHINFO_ALL': 0
  };
  // PATHINFO_ALL sums up all previously defined PATHINFOs (could just pre-calculate)
  for (optName in OPTS) {
    OPTS.PATHINFO_ALL = OPTS.PATHINFO_ALL | OPTS[optName];
  }
  if (typeof options !== 'number') { // Allow for a single string or an array of string flags
    options = [].concat(options);
    for (i = 0; i < options.length; i++) {
      // Resolve string input to bitwise e.g. 'PATHINFO_EXTENSION' becomes 4
      if (OPTS[options[i]]) {
        optTemp = optTemp | OPTS[options[i]];
      }
    }
    options = optTemp;
  }

  // Internal Functions
  var __getExt = function(path) {
    var str = path + '';
    var dotP = str.lastIndexOf('.') + 1;
    return !dotP ? false : dotP !== str.length ? str.substr(dotP) : '';
  };

  // Gather path infos
  if (options & OPTS.PATHINFO_DIRNAME) {
    var dirName = path.replace(/\\/g, '/')
      .replace(/\/[^\/]*\/?$/, ''); // dirname
    tmp_arr.dirname = dirName === path ? '.' : dirName;
  }

  if (options & OPTS.PATHINFO_BASENAME) {
    if (false === have_basename) {
      have_basename = this.basename(path);
    }
    tmp_arr.basename = have_basename;
  }

  if (options & OPTS.PATHINFO_EXTENSION) {
    if (false === have_basename) {
      have_basename = this.basename(path);
    }
    if (false === have_extension) {
      have_extension = __getExt(have_basename);
    }
    if (false !== have_extension) {
      tmp_arr.extension = have_extension;
    }
  }

  if (options & OPTS.PATHINFO_FILENAME) {
    if (false === have_basename) {
      have_basename = this.basename(path);
    }
    if (false === have_extension) {
      have_extension = __getExt(have_basename);
    }
    if (false === have_filename) {
      have_filename = have_basename.slice(0, have_basename.length - (have_extension ? have_extension.length + 1 :
        have_extension === false ? 0 : 1));
    }

    tmp_arr.filename = have_filename;
  }

  // If array contains only 1 element: return string
  cnt = 0;
  for (opt in tmp_arr) {
    cnt++;
  }
  if (cnt === 1) {
    return tmp_arr[opt];
  }

  // Return full-blown array
  return tmp_arr;
}

/** chack file types and font-awesome ico **/
function wpforo_get_file_type(filename){
	var ext = pathinfo(filename, 'PATHINFO_EXTENSION').toLowerCase();
	
	if(ext === 'pdf') return 'pdf';
	if(ext === 'doc' || ext === 'docx' || ext === 'odm' || ext === 'odt' || ext === 'ott') return 'word';
	if(ext === 'zip' || ext === 'gz' || ext === 'bz' || ext === 'bz2' || ext === 'tar' || ext === 'tgz' || ext === '7z' || ext === 'jar' || ext === 'rar' || ext === 'iso') return 'archive';
	if(ext === 'csv' || ext === 'xlsx' || ext === 'xls' || ext === 'xlsb' || ext === 'xlsm' || ext === 'xlt' || ext === 'xltm' || ext === 'ots' || ext === 'ods' || ext === 'stc' || ext === 'sxc') return 'excel';
	if(ext === 'xml' || ext === 'html' || ext === 'js' || ext === 'php' || ext === 'sql' || ext === 'css' || ext === 'sh' || ext === 'csh' || ext === 'json' || ext === 'tcl' || ext === 'bat' || ext === 'as' || ext === 'cmd') return 'code';
	if(ext === 'ppt' || ext === 'pptx' || ext === 'otp' || ext === 'odp' || ext === 'pot' || ext === 'pps' || ext === 'shw' || ext === 'sti' || ext === 'sxi' || ext === 'thmx') return 'powerpoint';

	if(ext === 'jpg' || ext === 'jpeg' || ext === 'png' || ext === 'gif' || ext === 'bmp' || ext === 'tiff' || ext === 'tif' || ext === 'ico') return 'picture';
	if(ext === 'mp4' || ext === 'flv' || ext === 'mov' || ext === 'mkv' || ext === 'vob' || ext === 'mpg' || ext === 'mpeg' || ext === 'mpe' || ext === '3gp' || ext === 'avi' || ext === 'wmv') return 'video';
	if(ext === 'mp3' || ext === 'wma' || ext === 'wav' || ext === 'amr' || ext === 'mp2' || ext === 'aac') return 'audio';
	if(ext === 'txt' || ext === 'asc') return 'text';
	
	return 'file';
}

function wpforo_get_file_fa_ico(filename){
	var filetype = wpforo_get_file_type(filename);
	filetype = filetype !== 'file' ? 'fa-file-' + filetype : 'fa-file';
	return '<i class="far '+ filetype + ' fa-5x wpfa-file-icon"></i>';
}
