<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;
?>

<style type="text/css">
.wpf-addon-header{ padding:10px 10px 5px 10px; text-align:right; border-bottom:1px solid #ddd; max-width:240px; margin:0 0 20px auto; font-weight:normal;}
.wpf-addon-table{width:100%; border:none; padding:0; float:left; margin:0 auto; box-sizing:border-box;}
.wpf-addon-table tr:nth-child(2n+1) { background: #f9f9f9 none repeat scroll 0 0; }
.wpf-addon-table td, .wpf-addon-table th{ padding:10px 15px; text-align:left; vertical-align:top;}
.wpf-addon-table label{ font-size:14px;}
.wpfog{color:#F45B00;white-space:nowrap;}
.wpfogx{font-weight:bold; font-family:Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif; cursor:help; font-size:12px;}
</style>

<h3 class="wpf-addon-header">Advanced File Attachments</h3>

<form method="POST" >
	<table class="wpf-addon-table">
        <tr>
			<th scope="row" style="width:36%"><label for="accepted_file_types"><?php _e('Accepted File Types', 'wpforo_attach') ?></label></th>
			<td>
            	<textarea id="accepted_file_types" name="wpforo_attach_options[accepted_file_types]" style="width:100%; height:160px; padding:10px; font-size:13px;"><?php wpfo( esc_textarea( WPF_ATTACH()->options['accepted_file_types'] ) ) ?></textarea>
            </td>
		</tr>
		<tr>
			<th scope="row">
            	<label for="maximum_file_size"><?php _e('Maximum File Size', 'wpforo_attach') ?></label>
            	<p class="wpf-info"><?php _e('You can not set this value more than "upload_max_filesize" and "post_max_size".', 'wpforo'); ?></p>
            </th>
			<td>
            	<input id="maximum_file_size" class="wpf-field-small" type="number" min="1" max="<?php echo WPF_ATTACH()->options['server_maxs_min'] ?>" name="wpforo_attach_options[maximum_file_size]" value="<?php wpfo(WPF_ATTACH()->options['maximum_file_size']) ?>" />&nbsp;MB
            	<p class="wpf-info">
				    <?php
                        _e('Server "upload_max_filesize" is ', 'wpforo_attach'); echo WPF_ATTACH()->options['server_upload_max_filesize'] . 'MB<br/>';
                        _e('Server "post_max_size" is ', 'wpforo_attach'); echo WPF_ATTACH()->options['server_post_max_size'] . 'MB';
                    ?>
                </p>
            </td>
		</tr>
		<tr>
			<th scope="row"><label for="thumbnail_width"><?php _e('Thumbnail Max Width', 'wpforo_attach') ?></label></th>
			<td><input id="thumbnail_width" class="wpf-field-small" type="number" min="50" name="wpforo_attach_options[thumbnail_width]" value="<?php wpfo(WPF_ATTACH()->options['thumbnail_width']) ?>" />&nbsp;px</td>
		</tr>
       <tr>
			<th scope="row"><label for="thumbnail_height"><?php _e('Thumbnail Max Height', 'wpforo_attach') ?></label></th>
			<td><input id="thumbnail_height" class="wpf-field-small" type="number" min="50" name="wpforo_attach_options[thumbnail_height]" value="<?php wpfo(WPF_ATTACH()->options['thumbnail_height']) ?>" />&nbsp;px</td>
		</tr>
        <?php if( !isset(WPF_ATTACH()->options['boxed']) ) WPF_ATTACH()->options['boxed'] = 0; ?>
        <tr>
			<th scope="row"><label>
				<?php _e('Thumbnail Box Symmetry', 'wpforo_attach') ?></label>
            	<p class="wpf-info">
				    <?php
                        _e('Only use this option if the thumbnail width is twice as small as post content width (approx up to 260px)', 'wpforo_attach');
                    ?>
                </p>
            </th>
			<td>
                <div class="wpf-switch-field">
                    <input type="radio" value="1" name="wpforo_attach_options[boxed]" id="wpf_boxed_1" <?php wpfo_check(WPF_ATTACH()->options['boxed'], 1); ?>><label for="wpf_boxed_1"><?php _e('Enable', 'wpforo_attach'); ?></label> &nbsp;
                    <input type="radio" value="0" name="wpforo_attach_options[boxed]" id="wpf_boxed_0" <?php wpfo_check(WPF_ATTACH()->options['boxed'], 0); ?>><label for="wpf_boxed_0"><?php _e('Disable', 'wpforo_attach'); ?></label>
                </div>
            </td>
        </tr>
        <?php if( !isset(WPF_ATTACH()->options['lightbox']) ) WPF_ATTACH()->options['lightbox'] = 0; ?>
        <tr>
			<th scope="row"><label><?php _e('Attachment Lightbox/Slider', 'wpforo_attach') ?></label></th>
			<td>
                <div class="wpf-switch-field">
                    <input type="radio" value="1" name="wpforo_attach_options[lightbox]" id="wpf_lightbox_1" <?php wpfo_check(WPF_ATTACH()->options['lightbox'], 1); ?>><label for="wpf_lightbox_1"><?php _e('Enable', 'wpforo_attach'); ?></label> &nbsp;
                    <input type="radio" value="0" name="wpforo_attach_options[lightbox]" id="wpf_lightbox_0" <?php wpfo_check(WPF_ATTACH()->options['lightbox'], 0); ?>><label for="wpf_lightbox_0"><?php _e('Disable', 'wpforo_attach'); ?></label>
                </div>
            </td>
        </tr>
        <tr>
			<th scope="row"><label><?php _e('Attachment Delete', 'wpforo_attach') ?></label>
                <p class="wpf-info">
                    <?php
                    _e('This option work for all users except wp admins', 'wpforo_attach');
                    ?>
                </p>
            </th>
			<td>
                <div class="wpf-switch-field">
                    <input type="radio" value="0" name="wpforo_attach_options[disable_delete]" id="wpf_disable_delete_0" <?php wpfo_check(WPF_ATTACH()->options['disable_delete'], 0); ?>><label for="wpf_disable_delete_0"><?php _e('Enable', 'wpforo_attach'); ?></label> &nbsp;
                    <input type="radio" value="1" name="wpforo_attach_options[disable_delete]" id="wpf_disable_delete_1" <?php wpfo_check(WPF_ATTACH()->options['disable_delete'], 1); ?>><label for="wpf_disable_delete_1"><?php _e('Disable', 'wpforo_attach'); ?></label>
                </div>
            </td>
        </tr>
        <tr>
			<th scope="row"><label><?php _e('Attachment Permissions', 'wpforo_attach') ?></label></th>
			<td style="font-size:14px; line-height:20px; padding:10px 20px;">
            	<?php _e('wpForo Advanced Attachment addon is integrated with wpForo Usergroup and Forum Access permissions system. You can control users and guests permissions to attach files (users only) or view attachments (users and guests) using according Access Role in Forums &gt; Settings &gt; Forum Access admin page. Just use <span class="wpfog">Can Attach Files</span> and <span class="wpfog">Can view Attached files</span> permissions of according', 'wpforo'); ?> <a href="<?php echo admin_url( 'admin.php?page=wpforo-settings&tab=accesses' ); ?>" style="text-decoration:none;"><?php _e('forum access', 'wpforo'); ?>.</a>
            </td>
		</tr>
        <tr>
			<th scope="row"><label><?php _e('Disk Usage', 'wpforo_attach') ?></label></th>
			<td style="font-size:14px; line-height:20px; padding:10px 20px;">
            	<?php
            		$size_avatar = 0; $size_da = 0; $size_aa = 0;
            		$upload_dir = wp_upload_dir();
            		if( is_dir(  $upload_dir['basedir'] .  '/wpforo/avatars/') ) $size_avatar = wpforo_dir_size( $upload_dir['basedir'] .  '/wpforo/avatars' ); 
					if( is_dir(  $upload_dir['basedir'] .  '/wpforo/default_attachments/') ) $size_da = wpforo_dir_size( $upload_dir['basedir'] .  '/wpforo/default_attachments' ); 
					if( is_dir(  $upload_dir['basedir'] .  '/wpforo/attachments/') ) $size_aa = wpforo_dir_size( $upload_dir['basedir'] .  '/wpforo/attachments' ); 
					if( function_exists('wpforo_print_size') ){
				  		echo __('Avatars', 'wpforo') . ': <span class="wpfogx" title="'.$upload_dir['basedir'] .  '/wpforo/avatars/'.'">' . wpforo_print_size($size_avatar) . '</span><br>';
				  		echo __('Default attachments') . ': <span class="wpfogx" title="'.$upload_dir['basedir'] .  '/wpforo/default_attachments/'.'">' . wpforo_print_size($size_da) . '</span><br>';
				  		echo __('Advanced attachments') . ': <span class="wpfogx" title="'.$upload_dir['basedir'] .  '/wpforo/attachments/'.'">' . wpforo_print_size($size_aa) . '</span><br>';
						$total = (int)$size_aa + (int)$size_da + (int)$size_aa;
						echo __('Total') . ': <span class="wpfogx" title="'.$upload_dir['basedir'] .  '/wpforo/'.'">' . wpforo_print_size($total) . '</span><br>';
					}
				?>
            </td>
		</tr>
        <tr>
            <th colspan="2"><h3 style="font-weight:normal; margin:0; padding:10px 0"><?php _e('Front-end Phrases', 'wpforo_attach') ?></h3></th>
        </tr>
        <?php if( isset(WPF_ATTACH()->phrases) && is_array(WPF_ATTACH()->phrases) ): ?>
			<?php foreach( WPF_ATTACH()->phrases as $key => $phrase ): ?>
                <tr>
                    <th style="padding:2px 15px;"><label for="wpfaid<?php echo $key ?>" style="font-weight:normal;"><?php echo ucfirst($key) ?></label></th>
                    <td style="padding:2px 15px;"><input id="wpfaid<?php echo $key ?>" value="<?php wpfo($phrase) ?>" name="wpforo_attach_phrases[<?php echo $key ?>]" type="text" style="width:100%;"></td>
                </tr>
            <?php endforeach; ?>
        <?php endif; ?>
        <tr>
			<td colspan="2" style="text-align:right;"><input type="submit" class="button button-primary" value="<?php _e('Update Options', 'wpforo_attach') ?>"></td>
		</tr>
	</table>
</form>